Get Session Limits
curl --request GET \
--url https://api.gm.ondo.finance/v1/limits/session \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gm.ondo.finance/v1/limits/session"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gm.ondo.finance/v1/limits/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"limits": [
{
"symbol": "AAPLon",
"premarket": {
"tradable": true,
"maxAttestationCount": "500",
"maxActiveNotionalValue": "10000"
},
"regular": {
"tradable": true,
"maxAttestationCount": "500",
"maxActiveNotionalValue": "200000"
},
"postmarket": {
"tradable": true,
"maxAttestationCount": "500",
"maxActiveNotionalValue": "200000"
},
"overnight": {
"tradable": true,
"maxAttestationCount": "500",
"maxActiveNotionalValue": "200000"
},
"offhours": {
"tradable": false,
"maxAttestationCount": "0",
"maxActiveNotionalValue": "0"
}
},
"..."
],
"timestamp": 1769192550134
}
]{
"code": "INVALID_SYMBOL",
"message": "One of the request parameters is invalid.",
"documentation": "https://docs.ondo.finance/api-reference/error-codes#invalid_symbol"
}{
"code": "MISSING_API_KEY",
"message": "missing API key",
"documentation": "https://docs.ondo.finance/api-reference/error-codes#missing_api_key"
}{
"code": "ASSET_NOT_FOUND",
"message": "asset not found",
"documentation": "https://docs.ondo.finance/api-reference/error-codes#asset_not_found"
}{
"code": "RATE_LIMITED",
"message": "rate limit exceeded",
"documentation": "https://docs.ondo.finance/api-reference/error-codes#rate_limited"
}{
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred. Please see the returned message and documentation for details.",
"documentation": "https://docs.ondo.finance/api-reference/error-codes#internal_error"
}Limits
Get Session Limits
Provides theoretical maximum asset-specific trading limits for each trading session. These limits are per-user, not global. This API reflects Ondo’s statically defined limits; for dynamic, real-time values, see Get Trading Limits.
Limits are returned for each session: premarket, regular, postmarket, overnight, and offhours. The offhours block describes the limits that apply when the US equities market is closed for the day (for example, on weekends and holidays). For most assets, off-hours trading is disabled (tradable: false).
Limits:
- The “Max Attestation Count” limits the number of non-expired, non-executed attestations. For example if the limit is 50, and a user has 50 outstanding attestations, they must wait for one to execute or expire before requesting another.
- The “Max Active Notional Value” limit is based on the dollar value of outstanding attestations. That is, if a user has a limit of $1,000,000, and has 30 non-expired, non-filled attestations at a value of $999,000, they will not be able to request another attestation for $1000.
For caching details on this endpoint, please see: Endpoint Caching.
GET
/
v1
/
limits
/
session
Get Session Limits

